Mike Gerwitz

Activist for User Freedom

aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'progtest/autogen.sh')
-rwxr-xr-xprogtest/autogen.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/progtest/autogen.sh b/progtest/autogen.sh
new file mode 100755
index 0000000..d9c18b7
--- /dev/null
+++ b/progtest/autogen.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Autoreconf runner
+#
+# Copyright (C) 2018 R-T Specialty, LLC.
+#
+# This file is part of TAME.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+##
+
+which autoreconf &>/dev/null || {
+ echo "\`autoreconf' not found in PATH"
+ exit 1
+}
+
+exec autoreconf -fvi